Skip to content

Show Job

GET
/api/v3/projects/{project_id}/jobs/{job_id}
curl --request GET \
--url 'https://example.com/api/v3/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/jobs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0?run_limit=20'
project_id
required
Project Id
string format: uuid
job_id
required
Job Id
string format: uuid
run_limit
Run Limit
integer
default: 20 >= 1 <= 100
X-Admin-Key
Any of:
string

Successful Response

Media typeapplication/json
JobDetailResponseV3
object
agent_id
required
Agent Id
string format: uuid
context
required
Context
object
key
additional properties
any
created_at
required
Created At
string format: date-time
id
required
Id
string format: uuid
instructions
Any of:
string
last_run_at
Any of:
string format: date-time
max_tokens
required
Max Tokens
integer
name
required
Name
string
next_run_at
required
Next Run At
string format: date-time
paused_at
Any of:
string format: date-time
project_id
required
Project Id
string format: uuid
prompt
required
Prompt
string
response_format
required
Response Format
string
resumed_at
Any of:
string format: date-time
retry_policy
required
Retry Policy
object
key
additional properties
any
runs
Runs
Array<object>
JobRunResponseV3
object
agent_run_id
Any of:
string format: uuid
attempt_count
required
Attempt Count
integer
completed_at
Any of:
string format: date-time
created_at
required
Created At
string format: date-time
dispatch_key
required
Dispatch Key
string
error_code
Any of:
string
error_message
Any of:
string
id
required
Id
string format: uuid
job_id
required
Job Id
string format: uuid
max_attempts
required
Max Attempts
integer
metadata
Metadata
object
key
additional properties
any
project_id
required
Project Id
string format: uuid
release
Release
object
key
additional properties
any
response_id
Any of:
string
scheduled_for
required
Scheduled For
string format: date-time
status
required
Status
string
target
required
DeploymentTarget

A mutable deployment pointer to an immutable Project release.

string
Allowed values: candidate live
trace_id
Any of:
string
schedule
required
Schedule
object
key
additional properties
any
status
required
Status
string
target
required
DeploymentTarget

A mutable deployment pointer to an immutable Project release.

string
Allowed values: candidate live
target_app_user_id
required
Target App User Id
string
target_channel
Any of:
string
updated_at
required
Updated At
string format: date-time
user_id
required
User Id
string format: uuid
Example
{
"runs": [
{
"target": "candidate"
}
],
"target": "candidate"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}